curl --request GET \
--url https://api.lilt.com/v2/translate/file \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lilt.com/v2/translate/file"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lilt.com/v2/translate/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"fileId": "2,",
"status": "InProgress",
"createdAt": 1609357135
}
]"<string>"{
"Unsupported_file_type": {
"message": "Customer gave us garbage."
},
"File_extraction_error": {
"message": "Customer gave us garbage."
},
"No_translatable_content": {
"message": "Customer gave us an empty file."
},
"Batch_MT_initiation_failure": {
"message": "Something is wrong with MT."
},
"Batch_MT_response_failure": {
"message": "Something is wrong with MT."
},
"File_reassembly_error": {
"message": "We couldn't put the translated file back together.(okapi error)"
},
"Billing_error": {
"message": "We couldn't log the information about the MT to our billing system."
},
"Invalid_memory": {
"message": "Something is wrong with the memory."
},
"Storage_error": {
"message": "Error occurred interacting with file storage."
}
}Monitor file translation
Get information about the one or more Files that are being translated with machine translation. Query filters are optional but at least one must be provided.
Example CURL:
curl -X GET 'https://api.lilt.com/v2/translate/file?key=API_KEY&translationIds=1,2&fromTime=1607966744&toTime=1707966744&status=InProgress'
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
List of translation ids, comma separated
One of the translation statuses - InProgress, Completed, Failed, ReadyForDownload
Results after this time (inclusive) will be returned, specified as seconds since the Unix epoch.
Results before this time (exclusive) will be returned, specified as seconds since the Unix epoch.
Response
Translation Info
Unique identifier for this translation.
id of the File that is being translated.
Status of the translation - InProgress, ReadyForDownload, Completed, Failed.
Time when this translation was started, in seconds since the Unix epoch.
Error message, present when status is Failed.
Was this page helpful?

